Subject: bug#20020: 25.0.50; `info-display-manual' should reuse existing window where buffer is displayed

From: Drew Adams <[email-masked]>
Date: Fri, 6 Mar 2015 11:15:38 -0800 (PST)

In my case, Info buffers (*info* and *info<N>*) are in dedicated
windows.  I expect `info-display-manual' to select such an existing
window.  That is, if the Calc manual is already displayed in an Info
buffer and I use `M-x info-display-manual' from some other buffer, I
expect the existing window showing that manual to be selected (and its
frame raised and focused, if necessary).

Instead, `info-display-manual' displays the manual in the same window
where I invoke it, resulting in two windows (and frames in my case)
showing the same Info manual.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2015-02-27 on LEG570
Bzr revision: b2a590d4e3dc692a97c1b53e015b945d84b4b4c7
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --host=i686-pc-mingw32 --enable-checking=yes,glyphs'